View Issue Details

IDProjectCategoryView StatusLast Update
0007987VALENTINA STUDIODatabasepublic2017-06-28 06:00
Reporterjohnnyq5Assigned ToSergey Pashkov 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformAmd 64OSArch Linux 64-bitOS Version
Product Version7.0.x 
Target Version7.3.xFixed in Version7.3.x 
Summary0007987: Lost connection with MySQL server error for bigger queries
DescriptionSince upgrade to 7.0 while executing fatty queries I always get:
Kernel error: Error( 2013 ) HY000: "Lost connection to MySQL server during query".

I set max_allowed_packet to 4GB and Connection timeout to 999 seconds in Mysql client preferences but it still doesn't work.
Additional InformationMysql server is MariaDB 10.1
Tested on Arch Linux (hardware) and on official docker MariaDB image.

Queries have from 5 to max joins. Tables have from 1M to 20M rows, not optimized.
TagsNo tags attached.
Working with DB:mySQL Server
Version of your DB10.1

Activities

Sergey Pashkov

Sergey Pashkov

2017-06-19 19:16

developer   ~0009748

Hello John,

Maybe there are more timeout settings, I'll check it

1) Have you noticed the amount of time before this error is shown?
2) How many records does such query is expected to return?
johnnyq5

johnnyq5

2017-06-21 17:43

reporter   ~0009750

Hi,

1) I checked for a few different queries and it's surprisingly exactly 41 seconds,
2) These are mostly report type queries, and they typically return between 1 and several thousand records.
Ruslan Zasukhin

Ruslan Zasukhin

2017-06-22 04:32

administrator   ~0009751

I also think this is some MySQL own timeout
Sergey Pashkov

Sergey Pashkov

2017-06-28 06:00

developer   ~0009753

Fix will be available in the version 7.3.1

1) Increased the Read and Write timeouts default values from 20 to 60 seconds.
2) Added Read and Write timeouts into the preferences dialog.

Issue History

Date Modified Username Field Change
2017-06-19 15:20 johnnyq5 New Issue
2017-06-19 19:16 Sergey Pashkov Note Added: 0009748
2017-06-21 17:43 johnnyq5 Note Added: 0009750
2017-06-22 04:32 Ruslan Zasukhin Note Added: 0009751
2017-06-28 05:55 Sergey Pashkov Assigned To => Sergey Pashkov
2017-06-28 05:55 Sergey Pashkov Status new => assigned
2017-06-28 05:56 Sergey Pashkov Target Version => 7.3.x
2017-06-28 06:00 Sergey Pashkov Note Added: 0009753
2017-06-28 06:00 Sergey Pashkov Status assigned => resolved
2017-06-28 06:00 Sergey Pashkov Fixed in Version => 7.3.x
2017-06-28 06:00 Sergey Pashkov Resolution open => fixed